Changeset 3046


Ignore:
Timestamp:
Nov 1, 2013 11:06:07 AM (6 years ago)
Author:
stefan
Message:

check for ssize_t and define NO_SSIZE_T if not available (for current ASL from ampl.com)

Location:
ThirdParty/ASL/trunk
Files:
2 edited

Legend:

Unmodified
Added
Removed
  • ThirdParty/ASL/trunk/configure

    r2985 r3046  
    10661066                          (implies --disable-shared)
    10671067  --enable-debug-asl compile project ASL with debug compiler flags
    1068   --enable-doscompile     Under Cygwin, compile so that executables run under
    1069                           DOS. Set to mingw to use gcc/g++/ld with
    1070                           -mno-cygwin. Set to msvc to use cl/link (or
    1071                           icl/link). Default when mentioned: mingw. Default
    1072                           when not mentioned: disabled.
     1068
     1069  --enable-msvc           Prefer (i)cl/ifort/link over GNU on MinGW/Cygwin.
    10731070  --enable-static[=PKGS]
    10741071                          build static libraries [default=no]
     
    18891886
    18901887# Get the name of the C compiler and compiler flags
    1891 case $build in
     1888
     1889
     1890  # for backward compatibility
     1891  # Check whether --enable-doscompile or --disable-doscompile was given.
     1892if test "${enable_doscompile+set}" = set; then
     1893  enableval="$enable_doscompile"
     1894  enable_doscompile=$enableval
     1895else
     1896  enable_doscompile=no
     1897fi;
     1898
     1899  # Check whether --enable-msvc or --disable-msvc was given.
     1900if test "${enable_msvc+set}" = set; then
     1901  enableval="$enable_msvc"
     1902  enable_msvc=$enableval
     1903else
     1904  enable_msvc=no
     1905     if test "$enable_doscompile" = msvc ; then
     1906       enable_msvc=yes
     1907     elif test "$enable_doscompile" != no ; then
     1908       { { echo "$as_me:$LINENO: error: --enable-doscompile=$enable_doscompile not supported anymore." >&5
     1909echo "$as_me: error: --enable-doscompile=$enable_doscompile not supported anymore." >&2;}
     1910   { (exit 1); exit 1; }; }
     1911     fi
     1912
     1913fi;
     1914
     1915  if test "$enable_msvc" = yes; then
     1916    case $build in
     1917      *-cygwin* | *-mingw*) ;;
     1918      *) { { echo "$as_me:$LINENO: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&5
     1919echo "$as_me: error: --enable-msvc option makes sense only under Cygwin or MinGW" >&2;}
     1920   { (exit 1); exit 1; }; } ;;
     1921    esac
     1922  fi
     1923
     1924
     1925 case $build in
    18921926  *-mingw*)
    18931927    if test "${LD+set}" = set; then :; else
     
    18961930    ;;
    18971931 esac
    1898  case $enable_doscompile in
    1899    msvc)
    1900      if test "x${LD+set}" = xset; then :; else
    1901        LD=link
    1902      fi
    1903      ;;
    1904  esac
    1905 
    1906 
    1907  # Check whether --enable-doscompile or --disable-doscompile was given.
    1908 if test "${enable_doscompile+set}" = set; then
    1909   enableval="$enable_doscompile"
    1910   if test "$enable_doscompile" != no; then
    1911      case $build in
    1912        *-cygwin* | *-mingw*) ;;
    1913        *) { { echo "$as_me:$LINENO: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&5
    1914 echo "$as_me: error: --enable-doscompile option makes sense only under Cygwin or MinGW" >&2;}
     1932 if test $enable_msvc = yes ; then
     1933   if test "x${LD+set}" = xset; then :; else
     1934     LD=link
     1935   fi
     1936 fi
     1937
     1938
     1939# Check whether --enable-static-standardlibs or --disable-static-standardlibs was given.
     1940if test "${enable_static_standardlibs+set}" = set; then
     1941  enableval="$enable_static_standardlibs"
     1942  case "$enableval" in
     1943     no | yes | auto ) ;;
     1944     *)
     1945       { { echo "$as_me:$LINENO: error: invalid argument for --enable-static-standardlibs: $enableval" >&5
     1946echo "$as_me: error: invalid argument for --enable-static-standardlibs: $enableval" >&2;}
    19151947   { (exit 1); exit 1; }; } ;;
    1916      esac
    1917    fi
    1918 else
    1919   enable_doscompile=no
     1948   esac
     1949   use_static_standardlibs=$enableval
     1950else
     1951  use_static_standardlibs=no
    19201952fi;
    1921  case "$enable_doscompile" in
    1922    mingw)
    1923      case $build in
    1924        *-mingw*) enable_doscompile=no ;;
    1925      esac
    1926      ;;
    1927    msvc|no) ;;
    1928    yes) enable_doscompile=mingw ;;
    1929    *) { { echo "$as_me:$LINENO: error: Invalid value $enable_doscompile for --enable-doscompile.
    1930                     Try configure --help=recursive." >&5
    1931 echo "$as_me: error: Invalid value $enable_doscompile for --enable-doscompile.
    1932                     Try configure --help=recursive." >&2;}
    1933    { (exit 1); exit 1; }; }
    1934       ;;
    1935   esac
    1936   if test "$enable_doscompile" != no ; then
    1937     { echo "$as_me:$LINENO: DOS compile style is: $enable_doscompile" >&5
    1938 echo "$as_me: DOS compile style is: $enable_doscompile" >&6;}
    1939   fi
     1953
    19401954
    19411955
     
    19801994case $build in
    19811995  *-cygwin* | *-mingw*)
    1982              if test "$enable_doscompile" = msvc ; then
    1983                comps="icl cl"
     1996             if test "$enable_msvc" = yes ; then
     1997               comps="icl cl gcc"
    19841998             else
    1985                comps="gcc cl"
     1999               comps="gcc icl cl"
    19862000             fi ;;
    19872001  *-*-solaris*)
     
    28362850            ;;
    28372851        esac
    2838         case $enable_doscompile in
    2839           mingw)
    2840             CFLAGS="-mno-cygwin"
    2841             cat >conftest.$ac_ext <<_ACEOF
    2842 /* confdefs.h.  */
    2843 _ACEOF
    2844 cat confdefs.h >>conftest.$ac_ext
    2845 cat >>conftest.$ac_ext <<_ACEOF
    2846 /* end confdefs.h.  */
    2847 
    2848 int
    2849 main ()
    2850 {
    2851 int i=0; i++;
    2852   ;
    2853   return 0;
    2854 }
    2855 _ACEOF
    2856 rm -f conftest.$ac_objext conftest$ac_exeext
    2857 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
    2858   (eval $ac_link) 2>conftest.er1
    2859   ac_status=$?
    2860   grep -v '^ *+' conftest.er1 >conftest.err
    2861   rm -f conftest.er1
    2862   cat conftest.err >&5
    2863   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2864   (exit $ac_status); } &&
    2865          { ac_try='test -z "$ac_c_werror_flag"
    2866                          || test ! -s conftest.err'
    2867   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2868   (eval $ac_try) 2>&5
    2869   ac_status=$?
    2870   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2871   (exit $ac_status); }; } &&
    2872          { ac_try='test -s conftest$ac_exeext'
    2873   { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
    2874   (eval $ac_try) 2>&5
    2875   ac_status=$?
    2876   echo "$as_me:$LINENO: \$? = $ac_status" >&5
    2877   (exit $ac_status); }; }; then
    2878   coin_add_cflags="-mno-cygwin $coin_add_cflags"
    2879 else
    2880   echo "$as_me: failed program was:" >&5
    2881 sed 's/^/| /' conftest.$ac_ext >&5
    2882 
    2883 fi
    2884 rm -f conftest.err conftest.$ac_objext \
    2885       conftest$ac_exeext conftest.$ac_ext
    2886             CFLAGS=
    2887           ;;
    2888         esac
    28892852    esac
    28902853  fi
     
    30773040    CFLAGS="$OPT_CFLAGS"
    30783041  fi
     3042
    30793043else
    30803044  CFLAGS="$CFLAGS $ADD_CFLAGS $CDEFS"
     
    30863050  fi
    30873051fi
    3088 
    3089 # If CFLAGS contains -mno-cygwin, CPPFLAGS must also have it.
    3090 
    3091 case "$CFLAGS" in
    3092   *-mno-cygwin*)
    3093     if test x${CPPFLAGS+set} != xset ; then
    3094       CPPFLAGS="-mno-cygwin"
    3095     else
    3096       case "$CPPFLAGS" in
    3097         *-mno-cygwin*)
    3098           ;;
    3099         *)
    3100           CPPFLAGS="$CPPFLAGS -mno-cygwin"
    3101           ;;
    3102       esac
    3103     fi ;;
    3104 esac
    31053052
    31063053# add -DPROJECT_BUILD to signal compiler preprocessor which config header file to include
     
    32273174  clang* ) ;;
    32283175  cl* | */cl* | CL* | */CL* | icl* | */icl* | ICL* | */ICL*)
    3229     case $build in
     3176
     3177 case $build in
    32303178  *-mingw*)
    32313179    if test "${LD+set}" = set; then :; else
     
    32343182    ;;
    32353183 esac
    3236  case $enable_doscompile in
    3237    msvc)
    3238      if test "x${LD+set}" = xset; then :; else
    3239        LD=link
    3240      fi
    3241      ;;
    3242  esac
     3184 if test $enable_msvc = yes ; then
     3185   if test "x${LD+set}" = xset; then :; else
     3186     LD=link
     3187   fi
     3188 fi
    32433189
    32443190    ;;
    32453191esac
     3192
     3193# check whether to add flags for static linking against standard libraries to LDFLAGS
     3194if test x$use_static_standardlibs != xno ; then
     3195  case $build in
     3196    *-mingw*)
     3197      static_standardlib_flag=-static
     3198      ;;
     3199    *)
     3200      static_standardlib_flag=-static-libgcc
     3201      ;;
     3202  esac
     3203  case " $LDFLAGS " in
     3204    *" $static_standardlib_flag "* ) ;;
     3205    *)
     3206    echo "$as_me:$LINENO: checking whether linking with $static_standardlib_flag works" >&5
     3207echo $ECHO_N "checking whether linking with $static_standardlib_flag works... $ECHO_C" >&6
     3208    coin_save_LDFLAGS="$LDFLAGS"
     3209    LDFLAGS="$LDFLAGS $static_standardlib_flag"
     3210    cat >conftest.$ac_ext <<_ACEOF
     3211/* confdefs.h.  */
     3212_ACEOF
     3213cat confdefs.h >>conftest.$ac_ext
     3214cat >>conftest.$ac_ext <<_ACEOF
     3215/* end confdefs.h.  */
     3216
     3217int
     3218main ()
     3219{
     3220int i=0;
     3221  ;
     3222  return 0;
     3223}
     3224_ACEOF
     3225rm -f conftest.$ac_objext conftest$ac_exeext
     3226if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
     3227  (eval $ac_link) 2>conftest.er1
     3228  ac_status=$?
     3229  grep -v '^ *+' conftest.er1 >conftest.err
     3230  rm -f conftest.er1
     3231  cat conftest.err >&5
     3232  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3233  (exit $ac_status); } &&
     3234         { ac_try='test -z "$ac_c_werror_flag"
     3235                         || test ! -s conftest.err'
     3236  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3237  (eval $ac_try) 2>&5
     3238  ac_status=$?
     3239  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3240  (exit $ac_status); }; } &&
     3241         { ac_try='test -s conftest$ac_exeext'
     3242  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     3243  (eval $ac_try) 2>&5
     3244  ac_status=$?
     3245  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     3246  (exit $ac_status); }; }; then
     3247  echo "$as_me:$LINENO: result: yes" >&5
     3248echo "${ECHO_T}yes" >&6
     3249else
     3250  echo "$as_me: failed program was:" >&5
     3251sed 's/^/| /' conftest.$ac_ext >&5
     3252
     3253echo "$as_me:$LINENO: result: no" >&5
     3254echo "${ECHO_T}no" >&6
     3255       LDFLAGS="$coin_save_LDFLAGS"
     3256       if test $use_static_standardlibs = yes ; then
     3257         { { echo "$as_me:$LINENO: error: failed to link with $static_standardlib_flag" >&5
     3258echo "$as_me: error: failed to link with $static_standardlib_flag" >&2;}
     3259   { (exit 1); exit 1; }; }
     3260       fi
     3261
     3262fi
     3263rm -f conftest.err conftest.$ac_objext \
     3264      conftest$ac_exeext conftest.$ac_ext
     3265    ;;
     3266  esac
     3267fi
    32463268
    32473269ac_ext=c
     
    43274349
    43284350LIBTOOL=
    4329 if test -r ../libtool; then
     4351if test -f ../libtool; then
    43304352  coin_config_dir=..
    43314353  LIBTOOL='$(SHELL) $(top_builddir)/../libtool'
    43324354fi
    43334355if test "x$LIBTOOL" = x; then
    4334   if test -r ../../libtool; then
     4356  if test -f ../../libtool; then
    43354357    coin_config_dir=../..
    43364358    LIBTOOL='$(SHELL) $(top_builddir)/../../libtool'
     
    48784900*-*-irix6*)
    48794901  # Find out which ABI we are using.
    4880   echo '#line 4880 "configure"' > conftest.$ac_ext
     4902  echo '#line 4902 "configure"' > conftest.$ac_ext
    48814903  if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
    48824904  (eval $ac_compile) 2>&5
     
    64776499
    64786500# Provide some information about the compiler.
    6479 echo "$as_me:6479:" \
     6501echo "$as_me:6501:" \
    64806502     "checking for Fortran 77 compiler version" >&5
    64816503ac_compiler=`set X $ac_compile; echo $2`
     
    75447566   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    75457567   -e 's:$: $lt_compiler_flag:'`
    7546    (eval echo "\"\$as_me:7546: $lt_compile\"" >&5)
     7568   (eval echo "\"\$as_me:7568: $lt_compile\"" >&5)
    75477569   (eval "$lt_compile" 2>conftest.err)
    75487570   ac_status=$?
    75497571   cat conftest.err >&5
    7550    echo "$as_me:7550: \$? = $ac_status" >&5
     7572   echo "$as_me:7572: \$? = $ac_status" >&5
    75517573   if (exit $ac_status) && test -s "$ac_outfile"; then
    75527574     # The compiler can only warn and ignore the option if not recognized
     
    78127834   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    78137835   -e 's:$: $lt_compiler_flag:'`
    7814    (eval echo "\"\$as_me:7814: $lt_compile\"" >&5)
     7836   (eval echo "\"\$as_me:7836: $lt_compile\"" >&5)
    78157837   (eval "$lt_compile" 2>conftest.err)
    78167838   ac_status=$?
    78177839   cat conftest.err >&5
    7818    echo "$as_me:7818: \$? = $ac_status" >&5
     7840   echo "$as_me:7840: \$? = $ac_status" >&5
    78197841   if (exit $ac_status) && test -s "$ac_outfile"; then
    78207842     # The compiler can only warn and ignore the option if not recognized
     
    79167938   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    79177939   -e 's:$: $lt_compiler_flag:'`
    7918    (eval echo "\"\$as_me:7918: $lt_compile\"" >&5)
     7940   (eval echo "\"\$as_me:7940: $lt_compile\"" >&5)
    79197941   (eval "$lt_compile" 2>out/conftest.err)
    79207942   ac_status=$?
    79217943   cat out/conftest.err >&5
    7922    echo "$as_me:7922: \$? = $ac_status" >&5
     7944   echo "$as_me:7944: \$? = $ac_status" >&5
    79237945   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    79247946   then
     
    1026110283  lt_status=$lt_dlunknown
    1026210284  cat > conftest.$ac_ext <<EOF
    10263 #line 10263 "configure"
     10285#line 10285 "configure"
    1026410286#include "confdefs.h"
    1026510287
     
    1036110383  lt_status=$lt_dlunknown
    1036210384  cat > conftest.$ac_ext <<EOF
    10363 #line 10363 "configure"
     10385#line 10385 "configure"
    1036410386#include "confdefs.h"
    1036510387
     
    1270512727   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1270612728   -e 's:$: $lt_compiler_flag:'`
    12707    (eval echo "\"\$as_me:12707: $lt_compile\"" >&5)
     12729   (eval echo "\"\$as_me:12729: $lt_compile\"" >&5)
    1270812730   (eval "$lt_compile" 2>conftest.err)
    1270912731   ac_status=$?
    1271012732   cat conftest.err >&5
    12711    echo "$as_me:12711: \$? = $ac_status" >&5
     12733   echo "$as_me:12733: \$? = $ac_status" >&5
    1271212734   if (exit $ac_status) && test -s "$ac_outfile"; then
    1271312735     # The compiler can only warn and ignore the option if not recognized
     
    1280912831   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1281012832   -e 's:$: $lt_compiler_flag:'`
    12811    (eval echo "\"\$as_me:12811: $lt_compile\"" >&5)
     12833   (eval echo "\"\$as_me:12833: $lt_compile\"" >&5)
    1281212834   (eval "$lt_compile" 2>out/conftest.err)
    1281312835   ac_status=$?
    1281412836   cat out/conftest.err >&5
    12815    echo "$as_me:12815: \$? = $ac_status" >&5
     12837   echo "$as_me:12837: \$? = $ac_status" >&5
    1281612838   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1281712839   then
     
    1437914401   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1438014402   -e 's:$: $lt_compiler_flag:'`
    14381    (eval echo "\"\$as_me:14381: $lt_compile\"" >&5)
     14403   (eval echo "\"\$as_me:14403: $lt_compile\"" >&5)
    1438214404   (eval "$lt_compile" 2>conftest.err)
    1438314405   ac_status=$?
    1438414406   cat conftest.err >&5
    14385    echo "$as_me:14385: \$? = $ac_status" >&5
     14407   echo "$as_me:14407: \$? = $ac_status" >&5
    1438614408   if (exit $ac_status) && test -s "$ac_outfile"; then
    1438714409     # The compiler can only warn and ignore the option if not recognized
     
    1448314505   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1448414506   -e 's:$: $lt_compiler_flag:'`
    14485    (eval echo "\"\$as_me:14485: $lt_compile\"" >&5)
     14507   (eval echo "\"\$as_me:14507: $lt_compile\"" >&5)
    1448614508   (eval "$lt_compile" 2>out/conftest.err)
    1448714509   ac_status=$?
    1448814510   cat out/conftest.err >&5
    14489    echo "$as_me:14489: \$? = $ac_status" >&5
     14511   echo "$as_me:14511: \$? = $ac_status" >&5
    1449014512   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1449114513   then
     
    1669016712   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1669116713   -e 's:$: $lt_compiler_flag:'`
    16692    (eval echo "\"\$as_me:16692: $lt_compile\"" >&5)
     16714   (eval echo "\"\$as_me:16714: $lt_compile\"" >&5)
    1669316715   (eval "$lt_compile" 2>conftest.err)
    1669416716   ac_status=$?
    1669516717   cat conftest.err >&5
    16696    echo "$as_me:16696: \$? = $ac_status" >&5
     16718   echo "$as_me:16718: \$? = $ac_status" >&5
    1669716719   if (exit $ac_status) && test -s "$ac_outfile"; then
    1669816720     # The compiler can only warn and ignore the option if not recognized
     
    1695816980   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1695916981   -e 's:$: $lt_compiler_flag:'`
    16960    (eval echo "\"\$as_me:16960: $lt_compile\"" >&5)
     16982   (eval echo "\"\$as_me:16982: $lt_compile\"" >&5)
    1696116983   (eval "$lt_compile" 2>conftest.err)
    1696216984   ac_status=$?
    1696316985   cat conftest.err >&5
    16964    echo "$as_me:16964: \$? = $ac_status" >&5
     16986   echo "$as_me:16986: \$? = $ac_status" >&5
    1696516987   if (exit $ac_status) && test -s "$ac_outfile"; then
    1696616988     # The compiler can only warn and ignore the option if not recognized
     
    1706217084   -e 's: [^ ]*conftest\.: $lt_compiler_flag&:; t' \
    1706317085   -e 's:$: $lt_compiler_flag:'`
    17064    (eval echo "\"\$as_me:17064: $lt_compile\"" >&5)
     17086   (eval echo "\"\$as_me:17086: $lt_compile\"" >&5)
    1706517087   (eval "$lt_compile" 2>out/conftest.err)
    1706617088   ac_status=$?
    1706717089   cat out/conftest.err >&5
    17068    echo "$as_me:17068: \$? = $ac_status" >&5
     17090   echo "$as_me:17090: \$? = $ac_status" >&5
    1706917091   if (exit $ac_status) && test -s out/conftest2.$ac_objext
    1707017092   then
     
    2013620158  # but it is likely to be either .. (if we are a usual coin project) or ../.. (if we are a unusual coin project like ThirdParty or Data)
    2013720159  COIN_PKG_CONFIG_PATH_UNINSTALLED=
    20138   if test -e ../coin_subdirs.txt ; then
     20160  if test -f ../coin_subdirs.txt ; then
    2013920161    for i in `cat ../coin_subdirs.txt` ; do
    2014020162      if test -d ../$i ; then
     
    2014720169  fi
    2014820170
    20149   if test -e ../../coin_subdirs.txt ; then
     20171  if test -f ../../coin_subdirs.txt ; then
    2015020172    for i in `cat ../../coin_subdirs.txt` ; do
    2015120173      if test -d ../../$i ; then
     
    2033720359
    2033820360
     20361# Check for ssize_t; we need to define NO_SSIZE_T if it's not present.
     20362
     20363  echo "$as_me:$LINENO: checking for ssize_t" >&5
     20364echo $ECHO_N "checking for ssize_t... $ECHO_C" >&6
     20365if test "${ac_cv_type_ssize_t+set}" = set; then
     20366  echo $ECHO_N "(cached) $ECHO_C" >&6
     20367else
     20368  cat >conftest.$ac_ext <<_ACEOF
     20369/* confdefs.h.  */
     20370_ACEOF
     20371cat confdefs.h >>conftest.$ac_ext
     20372cat >>conftest.$ac_ext <<_ACEOF
     20373/* end confdefs.h.  */
     20374$ac_includes_default
     20375int
     20376main ()
     20377{
     20378if ((ssize_t *) 0)
     20379  return 0;
     20380if (sizeof (ssize_t))
     20381  return 0;
     20382  ;
     20383  return 0;
     20384}
     20385_ACEOF
     20386rm -f conftest.$ac_objext
     20387if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
     20388  (eval $ac_compile) 2>conftest.er1
     20389  ac_status=$?
     20390  grep -v '^ *+' conftest.er1 >conftest.err
     20391  rm -f conftest.er1
     20392  cat conftest.err >&5
     20393  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20394  (exit $ac_status); } &&
     20395         { ac_try='test -z "$ac_c_werror_flag"
     20396                         || test ! -s conftest.err'
     20397  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20398  (eval $ac_try) 2>&5
     20399  ac_status=$?
     20400  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20401  (exit $ac_status); }; } &&
     20402         { ac_try='test -s conftest.$ac_objext'
     20403  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
     20404  (eval $ac_try) 2>&5
     20405  ac_status=$?
     20406  echo "$as_me:$LINENO: \$? = $ac_status" >&5
     20407  (exit $ac_status); }; }; then
     20408  ac_cv_type_ssize_t=yes
     20409else
     20410  echo "$as_me: failed program was:" >&5
     20411sed 's/^/| /' conftest.$ac_ext >&5
     20412
     20413ac_cv_type_ssize_t=no
     20414fi
     20415rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
     20416fi
     20417echo "$as_me:$LINENO: result: $ac_cv_type_ssize_t" >&5
     20418echo "${ECHO_T}$ac_cv_type_ssize_t" >&6
     20419if test $ac_cv_type_ssize_t = yes; then
     20420  :
     20421else
     20422  asladdcflags="$asladdcflags -DNO_SSIZE_T"
     20423fi
     20424
    2033920425
    2034020426# Check for dlopen, ASL uses it to load userdefined function libraries
     
    2050420590echo $ECHO_N "checking which command should be used to link input files... $ECHO_C" >&6
    2050520591coin_link_input_cmd="$LN_S"
    20506 if test "$enable_doscompile" = mingw; then
    20507   coin_link_input_cmd=cp
    20508 fi
    2050920592case "$CC" in
    2051020593  clang* ) ;;
  • ThirdParty/ASL/trunk/configure.ac

    r2480 r3046  
    121121    [asladdcflags="$asladdcflags -DNO_LONG_LONG"],[])
    122122
     123# Check for ssize_t; we need to define NO_SSIZE_T if it's not present.
     124
     125  AC_CHECK_TYPE([ssize_t],[],
     126    [asladdcflags="$asladdcflags -DNO_SSIZE_T"],[])
    123127
    124128# Check for dlopen, ASL uses it to load userdefined function libraries
Note: See TracChangeset for help on using the changeset viewer.